Package org.eclipse.birt.report.engine.layout.pdf.emitter

# Class ImageLayout

java.lang.Object
org.eclipse.birt.report.engine.layout.pdf.emitter.Layout
org.eclipse.birt.report.engine.layout.pdf.emitter.ImageLayout

public class ImageLayout extends org.eclipse.birt.report.engine.layout.pdf.emitter.Layout
Image layout hanlder

Since:
  3.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TYPE_FLASH_OBJECT`
property: flash object
`static final int`
`TYPE_IMAGE_OBJECT`
property: image object

### Fields inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.Layout

`content, context, logger, parent, specifiedHeight, specifiedWidth`

## Constructor Summary

Constructors
Constructor
Description
`ImageLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context, org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parentContext, IContent content)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkObjectType()`
`protected void`
`closeLayout()`
`protected void`
`initialize()`
`void`
`layout()`

### Methods inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.Layout

`calculateSpecifiedHeight, calculateSpecifiedWidth, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getParent, getResolution, getTableLayoutManager, removeMargin, resolveBoxConflict, validateBoxProperty, validateBoxProperty, visitContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_IMAGE_OBJECT

public static final int TYPE_IMAGE_OBJECT
property: image object

See Also:
  - Constant Field Values

### TYPE_FLASH_OBJECT

public static final int TYPE_FLASH_OBJECT
property: flash object

See Also:
  - Constant Field Values

## Constructor Details

### ImageLayout

public ImageLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context, org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parentContext, IContent content)
Constructor

Parameters:
  `context` - image context layout
  `parentContext` - parent context
  `content` - content

## Method Details

### layout

public void layout() throws org.eclipse.birt.core.exception.BirtException

Specified by:
  `layout` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.Layout`
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### closeLayout

protected void closeLayout() throws org.eclipse.birt.core.exception.BirtException

Specified by:
  `closeLayout` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.Layout`
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### initialize

protected void initialize() throws org.eclipse.birt.core.exception.BirtException

Specified by:
  `initialize` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.Layout`
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### checkObjectType

protected void checkObjectType()